Subject: FreeBSD attempts NAPI...

From: Jeff Garzik <[email-masked]>
Date: Sun, 16 Jun 2002 18:31:06 -0400

[snip from release notes]

Selected network drivers now implement a semi-polling mode, which makes 
systems much more resilient to attacks and overloads. To enable polling, 
the following options are required in a kernel configuration file:

     options DEVICE_POLLING
     options HZ=1000 # not compulsory but strongly recommended

The kern.polling.enable sysctl variable will then activate polling mode; 
with the kern.polling.user_frac sysctl indicating the percentage of CPU 
time to be reserved for userland. The devices initially supporting 
polling are dc(4), fxp(4), rl(4), and sis(4). More details can be found 
in the polling(4) manual page.

[end snip]